Update KYC Link Metadata
curl --request PUT \
--url https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"customer_reference": "customer_demo_001"
}
}
'import requests
url = "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link"
payload = { "metadata": { "customer_reference": "customer_demo_001" } }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {customer_reference: 'customer_demo_001'}})
};
fetch('https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
'customer_reference' => 'customer_demo_001'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link"
payload := strings.NewReader("{\n \"metadata\": {\n \"customer_reference\": \"customer_demo_001\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {\n \"customer_reference\": \"customer_demo_001\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {\n \"customer_reference\": \"customer_demo_001\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "",
"data": {
"entity_id": "ent_aaaaaaaaaaaaaaaaaaaa",
"kyc_link": {
"url": "https://verify.example.com/kyc/demo-link-001",
"status": "pending",
"created_at": "2026-09-25T10:00:00Z",
"expires_at": "2026-10-25T10:00:00Z",
"completed_at": null,
"verification_result": null,
"metadata": {
"customer_reference": "customer_demo_001"
}
}
}
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}KYC Links
Update KYC Link Metadata
Replace the metadata of an entity’s KYC link. Send an empty object to clear it; the link then returns metadata as an empty object.
PUT
/
v3
/
entity
/
{entity_id}
/
kyc_link
Update KYC Link Metadata
curl --request PUT \
--url https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"customer_reference": "customer_demo_001"
}
}
'import requests
url = "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link"
payload = { "metadata": { "customer_reference": "customer_demo_001" } }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {customer_reference: 'customer_demo_001'}})
};
fetch('https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'metadata' => [
'customer_reference' => 'customer_demo_001'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link"
payload := strings.NewReader("{\n \"metadata\": {\n \"customer_reference\": \"customer_demo_001\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"metadata\": {\n \"customer_reference\": \"customer_demo_001\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metadata\": {\n \"customer_reference\": \"customer_demo_001\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "",
"data": {
"entity_id": "ent_aaaaaaaaaaaaaaaaaaaa",
"kyc_link": {
"url": "https://verify.example.com/kyc/demo-link-001",
"status": "pending",
"created_at": "2026-09-25T10:00:00Z",
"expires_at": "2026-10-25T10:00:00Z",
"completed_at": null,
"verification_result": null,
"metadata": {
"customer_reference": "customer_demo_001"
}
}
}
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Tazapay unique ID of the entity
Body
application/json
Custom key-value metadata. Replaces the existing metadata.
Was this page helpful?